FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora Packaging

 
 
LinkBack Thread Tools
 
Old 06-16-2010, 07:43 AM
Nguyen Kim Son
 
Default Package dependant on kernel version

Hello,

I'am trying to package BLCR (Berkeley Lab
Checkpoint/Restart) , whose installation is different for kernel 2.6.31 and kernel 2.6.32.
I'd like to know, after packaging for each version of kernel, how yum can know which one is right for him? Could it be done simply by adding the kernel version to package name? And is there a way for example, the* 2.6.32.12* and 2.6.32.5 ones could use the same rpm file?

BLCR create .ko file in /lib/modules/ kernel_version_in_packaging_machine. Could I tell yum to change that kernel version to* automatically ?

Thanks in advance,
Son.
--
---------------------------------------------------------

Son NGUYEN KIM * * * * *
Antibes 06600
Tel: 06 48 28 37 47

--
packaging mailing list
packaging@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/packaging
 
Old 06-16-2010, 08:43 AM
Chen Lei
 
Default Package dependant on kernel version

2010/6/16 Nguyen Kim Son <nguyenkims@gmail.com>:
> Hello,
>
> I'am trying to package BLCR (Berkeley Lab Checkpoint/Restart) , whose
> installation is different for kernel 2.6.31 and kernel 2.6.32.
> I'd like to know, after packaging for each version of kernel, how yum can
> know which one is right for him? Could it be done simply by adding the
> kernel version to package name? And is there a way for example, the
> 2.6.32.12* and 2.6.32.5 ones could use the same rpm file?
> BLCR create .ko file in /lib/modules/ kernel_version_in_packaging_machine.
> Could I tell yum to change that kernel version to* automatically ?
>
> Thanks in advance,
> Son.
>
> --
blcr already packaged in rpmfusion, see
http://cvs.rpmfusion.org/viewvc/rpms/blcr-kmod/?root=free

Regards,
Chen Lei
--
packaging mailing list
packaging@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/packaging
 
Old 06-16-2010, 09:36 AM
Nguyen Kim Son
 
Default Package dependant on kernel version

Hello Chen,

The BLCR package in rpmfusion is actually not updated and it's for kernel 2.6.29 and 2.6.31.
I have tried to modify the spec file of this package, but* there are some problems of conflicts with buildsys-build-rpmfusion which I couldn't resolve.


Son.
On 16 June 2010 10:43, Chen Lei <supercyper1@gmail.com> wrote:

2010/6/16 Nguyen Kim Son <nguyenkims@gmail.com>:

> Hello,

>

> I'am trying to package BLCR (Berkeley Lab Checkpoint/Restart) , whose

> installation is different for kernel 2.6.31 and kernel 2.6.32.

> I'd like to know, after packaging for each version of kernel, how yum can

> know which one is right for him? Could it be done simply by adding the

> kernel version to package name? And is there a way for example, the

> 2.6.32.12* and 2.6.32.5 ones could use the same rpm file?

> BLCR create .ko file in /lib/modules/ kernel_version_in_packaging_machine.

> Could I tell yum to change that kernel version to* automatically ?

>

> Thanks in advance,

> Son.

>

> --

blcr already packaged in rpmfusion, see

http://cvs.rpmfusion.org/viewvc/rpms/blcr-kmod/?root=free



Regards,

Chen Lei

--

packaging mailing list

packaging@lists.fedoraproject.org

https://admin.fedoraproject.org/mailman/listinfo/packaging

--
---------------------------------------------------------

Son NGUYEN KIM * * * * *
Antibes 06600
Tel: 06 48 28 37 47

--
packaging mailing list
packaging@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/packaging
 
Old 06-16-2010, 09:49 AM
Chen Lei
 
Default Package dependant on kernel version

2010/6/16 Nguyen Kim Son <nguyenkims@gmail.com>:
> Hello Chen,
>
> The BLCR package in rpmfusion is actually not updated and it's for kernel
> 2.6.29 and 2.6.31.
> I have tried to modify the spec file of this package, but* there are some
> problems of conflicts with buildsys-build-rpmfusion which I couldn't
> resolve.
>
> Son.

How blcr can conflict with buildsys-build-rpmfusion? How about to send
a mail to blcr maintainer(ndbecker2 AT gmail.com )
and rpmfusion-devel for a update request first?


Chen Lei
--
packaging mailing list
packaging@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/packaging
 
Old 06-16-2010, 12:59 PM
Nguyen Kim Son
 
Default Package dependant on kernel version

I have typed wrongly. The package makes conflict is:
buildsys-build-rpmfusion-kerneldevpkgs-newest-i686

Son.

On 16 June 2010 11:49, Chen Lei <supercyper1@gmail.com> wrote:


2010/6/16 Nguyen Kim Son <nguyenkims@gmail.com>:



> Hello Chen,

>

> The BLCR package in rpmfusion is actually not updated and it's for kernel

> 2.6.29 and 2.6.31.

> I have tried to modify the spec file of this package, but* there are some

> problems of conflicts with buildsys-build-rpmfusion which I couldn't

> resolve.

>

> Son.



How blcr can conflict with buildsys-build-rpmfusion? How about to send

a mail to blcr maintainer(ndbecker2 AT gmail.com )

and rpmfusion-devel for a update request first?





Chen Lei

--

packaging mailing list

packaging@lists.fedoraproject.org

https://admin.fedoraproject.org/mailman/listinfo/packaging

--
---------------------------------------------------------


Son NGUYEN KIM * * * * *
Antibes 06600
Tel: 06 48 28 37 47

--
packaging mailing list
packaging@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/packaging
 

Thread Tools




All times are GMT. The time now is 09:21 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org